flext ::MsgBundle::Msg Class Reference

## Public Member Functions

bool | Ok () const
void | Init ()
void | Free ()
bool | BelongsTo (flext_base *t) const
| Attention: works only for solo messages, not real bundles!! More...
void | Set (flext_base *t, int o, const t_symbol *s, int ac, const t_atom *av)
void | Set (const t_symbol *r, const t_symbol *s, int ac, const t_atom *av)
void | Idle (flext_base *t)
void | Idle (bool(*idlefun)(int argc, const t_atom *argv), int argc, const t_atom *argv)
bool | Send () const

## Public Attributes

Msg * | nxt
int | out
const t_symbol * | recv
bool(* | fun )(int argc, const t_atom *argv)
t_atom * | argv
t_atom | argl [8]

## Protected Member Functions

void | SetMsg (const t_symbol *s, int cnt, const t_atom *lst)

## Protected Attributes

flext_base * | th
union flext ::MsgBundle::Msg:: { ... } |
const t_symbol * | sym
int | argc
union flext ::MsgBundle::Msg:: { ... } |

## Member Function Documentation

## BelongsTo()

bool flext ::MsgBundle::Msg::BelongsTo | ( | flext_base * | t | ) | const

inline

Attention: works only for solo messages, not real bundles!!

## Free()

void flext ::MsgBundle::Msg::Free | ( |  | ) |

inline

## Idle() [1/2]

void flext ::MsgBundle::Msg::Idle | ( | flext_base * | t | ) |

inline

## Idle() [2/2]

void flext ::MsgBundle::Msg::Idle | ( | bool(*)(int argc, const t_atom *argv) | idlefun,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

inline

## Init()

void flext ::MsgBundle::Msg::Init | ( |  | ) |

inline

## Ok()

bool flext ::MsgBundle::Msg::Ok | ( |  | ) | const

inline

## Send()

bool flext ::MsgBundle::Msg::Send | ( |  | ) | const

inline

## Set() [1/2]

void flext ::MsgBundle::Msg::Set | ( | flext_base * | t,
|  | int | o,
|  | const t_symbol * | s,
|  | int | ac,
|  | const t_atom * | av
| ) |  |

inline

## Set() [2/2]

void flext ::MsgBundle::Msg::Set | ( | const t_symbol * | r,
|  | const t_symbol * | s,
|  | int | ac,
|  | const t_atom * | av
| ) |  |

inline

## SetMsg()

void flext ::MsgBundle::Msg::SetMsg | ( | const t_symbol * | s,
|  | int | cnt,
|  | const t_atom * | lst
| ) |  |

inline protected

## Member Data Documentation

## @3

union { ... }

## @5

union { ... }

## argc

int flext ::MsgBundle::Msg::argc

protected

## argl

t_atom flext ::MsgBundle::Msg::argl[8]

## argv

t_atom* flext ::MsgBundle::Msg::argv

## fun

bool(* flext ::MsgBundle::Msg::fun) (int argc, const t_atom *argv)

## nxt

Msg* flext ::MsgBundle::Msg::nxt

## out

int flext ::MsgBundle::Msg::out

## recv

const t_symbol* flext ::MsgBundle::Msg::recv

## sym

const t_symbol* flext ::MsgBundle::Msg::sym

protected

## th

flext_base* flext ::MsgBundle::Msg::th

protected

The documentation for this class was generated from the following file:

- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flqueue.cpp